> ## Documentation Index
> Fetch the complete documentation index at: https://www.krea.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Starlight

> A diffusion-based AI upscaler from Topaz that transforms low-resolution and degraded video into HD quality. Max 4K.



## OpenAPI

````yaml https://api.krea.ai/openapi.json post /generate/enhance/topaz/starlight-precise
openapi: 3.1.0
info:
  title: Krea API
  version: v1
servers:
  - url: https://api.krea.ai
    description: Krea API
security:
  - bearerAuth: []
tags:
  - name: General
    description: Core API operations including job management and billing information
  - name: Krea
    description: Krea-owned generation models including Krea 2
  - name: Assets
    description: >-
      Asset management endpoints for uploading and managing images, videos,
      audio files, and 3D models
  - name: Styles
    description: Style (LoRA) generation and management endpoints
  - name: Node Apps
    description: Executing custom node apps built in our nodes tool
  - name: Image
    description: Image generation endpoints
  - name: Image Enhance
    description: Image enhance endpoints
  - name: Video
    description: Video generation endpoints
  - name: Video Enhance
    description: Video enhance and upscale endpoints
  - name: 3D
    description: 3D model generation and export endpoints
paths:
  /generate/enhance/topaz/starlight-precise:
    post:
      tags:
        - Video Enhance
      summary: Starlight
      description: >-
        A diffusion-based AI upscaler from Topaz that transforms low-resolution
        and degraded video into HD quality. Max 4K.
      parameters:
        - name: X-Webhook-URL
          in: header
          required: false
          schema:
            type: string
            format: uri
          description: >-
            URL to receive a POST request when the job completes. The webhook
            will receive the job data including results.
      requestBody:
        content:
          application/json:
            example: {}
            schema:
              type: object
              properties:
                target_width:
                  description: Output width in pixels. Defaults to the source video width.
                  type: number
                  minimum: 1
                  maximum: 8000
                target_height:
                  description: >-
                    Output height in pixels. Defaults to the source video
                    height.
                  type: number
                  minimum: 1
                  maximum: 8000
                crop_to_fit:
                  default: false
                  description: >-
                    Crop the video to fill the target dimensions instead of
                    preserving the source aspect ratio.
                  type: boolean
                video_url:
                  type: string
                  maxLength: 1024
                  format: uri
                  description: >-
                    Can be an external URL, base64 data URI, or uploaded asset
                    URL.
                frame_interpolation:
                  default: false
                  description: Interpolate extra frames to raise the output frame rate.
                  type: boolean
                frame_interpolation_fps:
                  default: 60
                  description: Target output frame rate (frame interpolation only).
                  x-krea-visible-when:
                    - field: frame_interpolation
                      equals: true
                  type: integer
                  minimum: 15
                  maximum: 240
                frame_interpolation_model:
                  default: apo-8
                  description: Frame interpolation model.
                  x-krea-enum-labels:
                    - Apollo
                    - Apollo Fast
                    - Chronos
                    - Chronos Fast
                  x-krea-visible-when:
                    - field: frame_interpolation
                      equals: true
                  type: string
                  enum:
                    - apo-8
                    - apf-2
                    - chr-2
                    - chf-3
                frame_interpolation_slowmo:
                  default: 1
                  description: >-
                    Slow-motion factor, 1 keeps the original speed (frame
                    interpolation only).
                  x-krea-visible-when:
                    - field: frame_interpolation
                      equals: true
                  type: integer
                  minimum: 1
                  maximum: 16
                frame_interpolation_fix_duplicate_frames:
                  default: true
                  description: Detect and drop duplicate frames before interpolating.
                  x-krea-visible-when:
                    - field: frame_interpolation
                      equals: true
                  type: boolean
                frame_interpolation_duplicate_sensitivity:
                  default: 0.01
                  description: >-
                    Sensitivity of duplicate-frame detection (only when fix
                    duplicate frames is on).
                  x-krea-visible-when:
                    - field: frame_interpolation
                      equals: true
                    - field: frame_interpolation_fix_duplicate_frames
                      equals: true
                  type: number
                  minimum: 0.001
                  maximum: 0.1
                video_output_preset:
                  default: h265-main
                  description: 'Output encoder profile: codec, container, and bit depth.'
                  x-krea-enum-labels:
                    - H.264 High (8-bit)
                    - H.265 Main (8-bit)
                    - H.265 Main10 (10-bit)
                    - ProRes 422 Proxy (10-bit)
                    - ProRes 422 LT (10-bit)
                    - ProRes 422 Std (10-bit)
                    - ProRes 422 HQ (10-bit)
                    - AV1 (8-bit)
                    - AV1 (10-bit)
                    - VP9 Good (8-bit)
                    - VP9 Best (8-bit)
                  type: string
                  enum:
                    - h264-high
                    - h265-main
                    - h265-main10
                    - prores-422-proxy
                    - prores-422-lt
                    - prores-422-std
                    - prores-422-hq
                    - av1-8-bit
                    - av1-10-bit
                    - vp9-good
                    - vp9-best
              required:
                - video_url
              additionalProperties: false
      responses:
        '200':
          description: >-
            The resulting job data. This will be returned in a pending state
            until the job is completed. See
            [`/jobs/{id}`](#tag/default/get/jobs/{id}) for retrieving the
            results.
          content:
            application/json:
              schema:
                type: object
                properties:
                  job_id:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  status:
                    type: string
                    enum:
                      - backlogged
                      - queued
                      - scheduled
                      - processing
                      - sampling
                      - intermediate-complete
                      - completed
                      - failed
                      - cancelled
                  created_at:
                    type: string
                    format: date-time
                    pattern: >-
                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                  completed_at:
                    type: 'null'
                  result:
                    type: 'null'
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                    required:
                      - code
                    additionalProperties: false
                required:
                  - job_id
                  - status
                  - created_at
                  - completed_at
                  - result
                additionalProperties: false
        '400':
          description: The request body is invalid.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '401':
          description: You are not authenticated.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '402':
          description: You have run out of credits.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '429':
          description: You have reached the maximum number of concurrent jobs.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: Bearer
      type: http

````